%define name kodos
%define version 2.4.5
%define release %mkrel 5

Summary: Kodos is a visual regular expression editor
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: PyQt >= 3.0
Url: http://kodos.sourceforge.net
BuildRequires: python-devel
BuildRequires: ImageMagick
BuildRequires: PyQt

%description
Kodos is a visual regular expression editor and debugger.
It allows you to write python regexp and examine their match.

%prep
%setup -q

%build
rm -Rf $(find . -name '*.ui' | sed 's/ui$/py/' )
# regenerate the ui to be compatible with latest pyqt 
for i in $(find . -name '*.ui'); do
    pyuic $i -o ${i//\.ui/\.py} 
done

python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
mv $RPM_BUILD_ROOT/%_bindir/kodos.py $RPM_BUILD_ROOT/%_bindir/kodos
mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%name): needs="x11" \
        section="More Applications/Development/Tools" \
        title="Kodos" \
        longtitle="Visual regular expression editor" \
        command="%{_bindir}/%{name}" \
        icon="%{name}.png"
EOF
mkdir -p $RPM_BUILD_ROOT/%_iconsdir/
mkdir -p $RPM_BUILD_ROOT/%_miconsdir/
mkdir -p $RPM_BUILD_ROOT/%_liconsdir/

cp ./images/kodos.png $RPM_BUILD_ROOT/%_iconsdir/
convert -size 16x16 ./images/kodos.png $RPM_BUILD_ROOT/%_miconsdir/%name.png
convert -size 64x64 ./images/kodos.png $RPM_BUILD_ROOT/%_liconsdir/%name.png

%postun
%update_menus

%post
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/python%{pyver}/site-packages/*
%{_iconsdir}/*png
%{_miconsdir}/*png
%{_liconsdir}/*png

%changelog
* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 2.4.5-5mdk
- fix shared directory

* Thu Jun 02 2005 Michael Scherer <misc@mandriva.org> 2.4.5-4mdk
- mkrel
- reupload to fix missing srpm 

* Tue Mar 01 2005 Michael Scherer <misc@mandrake.org> 2.4.5-3mdk
- fix issues with latest pyqt

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.4.5-2mdk
- Rebuild for new python

* Thu Aug 26 2004 Michael Scherer <misc@mandrake.org> 2.4.5-1mdk
- first Mandrakelinux package, based on spec made by Phil Schwartz <phil_schwartz@sourceforge.net>. 
